/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <stdio.h>

void LCDDisplayTest::init(void)
{
	theLCDDisplayPtr->setRadioType("HSDPA");
	theLCDDisplayPtr->setProfile("Default");
	
	theLCDDisplayPtr->setUpload("n/a");
	theLCDDisplayPtr->setDownload("n/a");
	
	emit spinBox1->setValue(13);
	comboBox1->setCurrentItem(1);
	emit combo_activated(comboBox1->currentText());
	
}


void LCDDisplayTest::combo_activated( const QString& aNewString)
{
	printf("Form1::combo_activated changed to '%s'\n", aNewString.ascii());
	theLCDDisplayPtr->setOperatorName(aNewString);
}


void LCDDisplayTest::spin_changed( int aNewValue)
{
	printf("Form1::spinbox_changed to %d\n", aNewValue);
	theLCDDisplayPtr->setStrength(aNewValue);
}
